<template>
  <v-card
    v-if="item"
    outlined
    shaped
    class="mb-5"
  >
    <v-card-title
      style="cursor: pointer"
      @click="$router.push({
        name: 'PublicArchiveDetail',
        params: { id: item.id }
      })"
    >
      {{ item.title | $truncateString(70) }}
    </v-card-title>

    <v-card-text>
      <div class="subtitle-1">
        <v-icon class="mr-2">
          mdi-tag-text
        </v-icon>

        <v-chip
          v-for="(tagItem, tagIndex) in item.tags"
          :key="tagIndex"
          class="ma-1 blue lighten-5"
          small
          v-text="tagItem"
        />
      </div>

      <div class="subtitle-1">
        <v-icon class="mr-2">
          mdi-account-group
        </v-icon>

        <v-chip
          v-for="(authorItem, authorIndex) in item.authors"
          :key="authorIndex"
          class="ma-1 green lighten-5"
          small
          v-text="authorItem.name"
        />
      </div>

      <!-- <div class="mb-4 subtitle-1">
        <v-icon class="mr-2">
          mdi-publish
        </v-icon>

        <small>{{ item.published_date | $toHumanDate }}</small>
      </div> -->

      <!-- <div>{{ item.note | $truncateString(200) }}</div> -->
    </v-card-text>
  </v-card>
</template>

<script>
import moment from 'moment'

export default {
  filters: {
    toHumanDate: function (date) {
      return moment(date).format('dddd, MMMM Do YYYY, h:mm:ss a')
    }
  },

  props: {
    item: {
      type: Object,
      required: true,
      default: () => ({})
    }
  }
}
</script>

<style lang="scss" scoped>

</style>
